Closed Bug 954994 Opened 7 years ago Closed 7 years ago

Remove WINCE support

Categories

(Chat Core :: General, defect)

x86
Other
defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: clokep)

References

Details

(Whiteboard: [1.4-wanted])

Attachments

(6 files, 2 obsolete files)

*** Original post on bio 1563 at 2012-06-29 13:14:00 UTC ***

Mozilla no longer supports WINCE, we don't support WINCE either, but it's still all over in our Makefiles/configure scripts.

Potentially helpful bugs:
https://bugzilla.mozilla.org/show_bug.cgi?id=764266 (c-c version)
https://bugzilla.mozilla.org/show_bug.cgi?id=651622 (browser/* version)
https://bugzilla.mozilla.org/show_bug.cgi?id=614720 (Meta bug)
Whiteboard: [1.3-wanted]
*** Original post on bio 1563 at 2012-11-05 23:34:37 UTC ***

Realistically, this isn't going to be ready for 1.3, moving to 1.4-wanted.
Whiteboard: [1.3-wanted] → [1.4-wanted]
Attached patch Port bug 764266Splinter Review
*** Original post on bio 1563 as attmnt 2279 at 2013-03-15 00:04:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354044 - Flags: review?
*** Original post on bio 1563 as attmnt 2280 at 2013-03-15 00:36:00 UTC ***

I've done some hg archeology to extract the list of changesets that seemed directly or indirectly related to adding support for WinCE. A significant portion of them should likely be reverted to reduce the diffs we have against the official libpurple and glib sources.
Attached patch Rollback WinCE changesets (obsolete) — Splinter Review
*** Original post on bio 1563 as attmnt 2281 at 2013-03-16 14:41:00 UTC ***

This takes the changesets in attachment 8354045 [details] (bio-attmnt 2280) and rolls them back, mostly.

This was created by rolling back the changes listed and then reapplying some to get compiling to work (e.g. the selective disabling of various libpurple bits directly involving the file system).

This compiles and ran on Windows.
Attachment #8354046 - Flags: review?
Assignee: nobody → clokep
Status: NEW → ASSIGNED
*** Original post on bio 1563 as attmnt 2282 at 2013-03-16 14:43:00 UTC ***

I forgot to qfold my manual changes into the previous patch, sorry!
Attachment #8354047 - Flags: review?
Comment on attachment 8354046 [details] [diff] [review]
Rollback WinCE changesets

*** Original change on bio 1563 attmnt 2281 at 2013-03-16 14:43:40 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354046 - Attachment is obsolete: true
Attachment #8354046 - Flags: review?
Comment on attachment 8354044 [details] [diff] [review]
Port bug 764266

*** Original change on bio 1563 attmnt 2279 at 2013-04-05 14:00:15 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354044 - Flags: review? → review?(florian)
*** Original post on bio 1563 at 2013-04-13 15:12:35 UTC ***

Florian asked on IRC if this patch reduces the diff with "official" libpurple, before patch:
 156 files changed, 1449 insertions(+), 2584 deletions(-)
After patch:
 153 files changed, 1410 insertions(+), 2532 deletions(-)

So...yes, but not that much. I ran:
DIFFCURRENTONLY=1 bash ./upgrade-libpurple.sh
Before and after applying this patch.
Comment on attachment 8354047 [details] [diff] [review]
Rollback WinCE changesets with manual changes

*** Original change on bio 1563 attmnt 2282 at 2013-04-13 15:13:04 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354047 - Flags: review? → review?(florian)
Comment on attachment 8354044 [details] [diff] [review]
Port bug 764266

*** Original change on bio 1563 attmnt 2279 at 2013-04-13 21:34:08 UTC ***

rs=fqueze.
Attachment #8354044 - Flags: review?(florian) → review+
Comment on attachment 8354047 [details] [diff] [review]
Rollback WinCE changesets with manual changes

*** Original change on bio 1563 attmnt 2282 at 2013-04-13 22:08:06 UTC ***

Thanks for looking at this!

>diff --git a/instantbird/app/nsMain.cpp b/instantbird/app/nsMain.cpp

> #if defined(XP_WIN) && !MOZ_WINCONSOLE
>-  PRUnichar msg[2048];
>-  _vsnwprintf(msg, sizeof(msg)/sizeof(msg[0]), NS_ConvertUTF8toUTF16(fmt).get(), ap);
>-  MessageBoxW(NULL, msg, L"XULRunner", MB_OK | MB_ICONERROR);
>+  char msg[2048];
>+
>+  _vsnprintf(msg, sizeof(msg), fmt, ap);
>+
>+  MessageBox(NULL, msg, "XULRunner", MB_OK | MB_ICONERROR);

This increases the diff between Ib's nsMain.app and Tb's http://mxr.mozilla.org/comm-central/source/mail/app/nsMailApp.cpp
Please revert.


>diff --git a/purple/libpurple/protocols/novell/novell.c b/purple/libpurple/protocols/novell/novell.c

Looks like you didn't revert http://hg.instantbird.org/instantbird/rev/2f6ff0183402#l3.12

I'm pretty sure that will break the novell prpl.

By the way, I think the changes we made in the novell prpl were a simplification that was actually an improvement we could have upstreamed. But I'm not interested in pushing them upstream, so I'm happy if we just revert them to reduce our diff against upstream libpurple.



>diff --git a/purple/libraries/glib/gutils.c b/purple/libraries/glib/gutils.c

>@@ -1561,17 +1560,17 @@ g_get_any_init_do (void)
> 
>   if (!g_home_dir)
>     g_home_dir = get_special_folder (CSIDL_PROFILE);
>   
>   if (!g_home_dir)
>     g_home_dir = get_windows_directory_root ();
> #endif /* G_OS_WIN32 */
> #endif
>- 
>+
> #ifdef HAVE_PWD_H

Is this something your editor did automatically, or did we really add whitespace there at the time we added wince support?

The other 2 whitespace changes (removing empty lines) in this file are strange too.


The other changes look good, but to be really sure, it would be nice to diff our glib after applying this patch to the official glib of the version we have. Same for libxml2.

(In reply to comment #4)

> This was created by rolling back the changes listed and then reapplying some to
> get compiling to work (e.g. the selective disabling of various libpurple bits
> directly involving the file system).

Is there a way to look at what you had to reapply? I'm curious :-).
Attachment #8354047 - Flags: review?(florian) → review-
*** Original post on bio 1563 at 2013-04-15 02:13:39 UTC ***

(In reply to comment #8)
> Comment on attachment 8354047 [details] [diff] [review] (bio-attmnt 2282) [details]
> Rollback WinCE changesets with manual changes
> 
> Thanks for looking at this!
> 

> >diff --git a/purple/libpurple/protocols/novell/novell.c b/purple/libpurple/protocols/novell/novell.c
> 
> Looks like you didn't revert
> http://hg.instantbird.org/instantbird/rev/2f6ff0183402#l3.12
The novell.c.rej file in my directory agrees with you.

> I'm pretty sure that will break the novell prpl.
> 
> By the way, I think the changes we made in the novell prpl were a
> simplification that was actually an improvement we could have upstreamed. But
> I'm not interested in pushing them upstream, so I'm happy if we just revert
> them to reduce our diff against upstream libpurple.
Maybe we should look at upstreaming these and just getting the changes back when libpurple takes them. Is it just that changeset?

> >diff --git a/purple/libraries/glib/gutils.c b/purple/libraries/glib/gutils.c
> Is this something your editor did automatically, or did we really add
> whitespace there at the time we added wince support?
Looks like my editor did this automatically, I'll check the other space changes too.

> The other changes look good, but to be really sure, it would be nice to diff
> our glib after applying this patch to the official glib of the version we have.
> Same for libxml2.
I'll attach these soon.

> > This was created by rolling back the changes listed and then reapplying some to
> > get compiling to work (e.g. the selective disabling of various libpurple bits
> > directly involving the file system).
> 
> Is there a way to look at what you had to reapply? I'm curious :-).
I seem to have lost this list. :( I can't find it in my instantbird/ directory anymore.
Attached patch libxml changesSplinter Review
*** Original post on bio 1563 as attmnt 2356 at 2013-04-15 02:22:00 UTC ***

These are the changes from our in-tree xml2 directory and libxml2 2.6.32.
Attached patch glib changesSplinter Review
*** Original post on bio 1563 as attmnt 2357 at 2013-04-15 02:24:00 UTC ***

Changes from our in-tree glib and glib 2.16.1.
*** Original post on bio 1563 as attmnt 2358 at 2013-04-15 02:32:00 UTC ***

I should note that the libxml and glib changes patches above are AFTER appyling the attachments in this bug.

I've fixed the review comments in this version...it is not fully tested, however, since I can't do that without fully recompiling Mozilla (because of bug 955262 (bio 1829)) and these patches are applied first in my queue. I was able to recompile the glib, xml2 and libpurple/protocols/novell directories, however.
Attachment #8354125 - Flags: review?(florian)
Comment on attachment 8354047 [details] [diff] [review]
Rollback WinCE changesets with manual changes

*** Original change on bio 1563 attmnt 2282 at 2013-04-15 02:32:45 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354047 - Attachment is obsolete: true
*** Original post on bio 1563 at 2013-04-15 07:19:30 UTC ***

Comment on attachment 8354123 [details] [diff] [review] (bio-attmnt 2356)
libxml changes

>diff -u -U 8 -p -r purple/libraries/xml2/libxml.h ../Downloads/libxml2-2.6.32/libxml.h
>--- purple/libraries/xml2/libxml.h	2013-04-13 11:09:40 -0400
>+++ ../Downloads/libxml2-2.6.32/libxml.h	2007-11-23 05:47:23 -0500
>@@ -18,17 +18,17 @@
> #endif
> #endif
> 
> #if defined(macintosh)
> #include "config-mac.h"
> #elif defined(_WIN32_WCE)
> /*
>  * Windows CE compatibility definitions and functions
>- * This is needed to compile xml2 for Windows CE.
>+ * This is needed to compile libxml2 for Windows CE.

This change looks like it wants to be reverted.
*** Original post on bio 1563 at 2013-04-15 07:22:57 UTC ***

Comment on attachment 8354124 [details] [diff] [review] (bio-attmnt 2357)
glib changes

The whitespace changes make this unreadable :(. Could you do this diff again with the -w option?
*** Original post on bio 1563 as attmnt 2361 at 2013-04-15 10:22:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Comment on attachment 8354125 [details] [diff] [review]
Rollback WinCE changesets with manual changes v2

*** Original change on bio 1563 attmnt 2358 at 2013-04-15 23:43:26 UTC ***

r=me with comment 13 addressed (I did it before the check-in).
Attachment #8354125 - Flags: review?(florian) → review+
*** Original post on bio 1563 at 2013-04-15 23:48:51 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/dccbb99b15e2 and http://hg.instantbird.org/instantbird/rev/8150d89e4fbe
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.4
Blocks: 955443
You need to log in before you can comment on or make changes to this bug.